<!-- ##### SECTION Title ##### -->
secret-prompt

<!-- ##### SECTION Short_Description ##### -->


<!-- ##### SECTION Long_Description ##### -->
<para>

</para>

<!-- ##### SECTION See_Also ##### -->
<para>

</para>

<!-- ##### SECTION Stability_Level ##### -->


<!-- ##### SECTION Image ##### -->


<!-- ##### STRUCT SecretPrompt ##### -->
<para>

</para>


<!-- ##### STRUCT SecretPromptClass ##### -->
<para>

</para>

@parent_class: 

<!-- ##### FUNCTION secret_prompt_perform ##### -->
<para>

</para>

@self: 
@window_id: 
@cancellable: 
@callback: 
@user_data: 


<!-- ##### FUNCTION secret_prompt_perform_finish ##### -->
<para>

</para>

@self: 
@result: 
@return_type: 
@error: 
@Returns: 


<!-- ##### FUNCTION secret_prompt_perform_sync ##### -->
<para>

</para>

@self: 
@window_id: 
@cancellable: 
@return_type: 
@error: 
@Returns: 


<!-- ##### FUNCTION secret_prompt_run ##### -->
<para>

</para>

@self: 
@window_id: 
@cancellable: 
@return_type: 
@error: 
@Returns: 


